package uk.co.martinpearman.b4a.attributionobject;

import anywheresoftware.b4a.BA.Author;
import anywheresoftware.b4a.BA.ShortName;

@Author("Martin Pearman")
@ShortName("AttributionObject")
public class AttributionObject {
	private String mHtml;
	private String mLibraryName;
	private String mPlaintext;
	
	public AttributionObject(){
		//	default constructor
	}
	public AttributionObject(String[] pAttributionStrings){
		mHtml=pAttributionStrings[2];
		mLibraryName=pAttributionStrings[0];
		mPlaintext=pAttributionStrings[1];
	}

	/**
	 * Get the licensing and attribution Strings as HTML.
	 */
	public String getHtml(){
		return mHtml;
	}
	
	/**
	 * Get the name of the 3rd party library that this AttributionObject refers to.
	 */
	public String getLibraryName(){
		return mLibraryName;
	}
	
	/**
	 * Get the licensing and attribution Strings as plain text.
	 */
	public String getPlainText(){
		return mPlaintext;
	}
}
