package uk.co.martinpearman.b4a.attributionobject;

import android.content.res.Resources;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BA.ActivityObject;
import anywheresoftware.b4a.BA.Author;
import anywheresoftware.b4a.BA.ShortName;
import anywheresoftware.b4a.BA.Version;

@ActivityObject
@Author("Martin Pearman")
@ShortName("ExampleLibrary")
@Version(1.00f)
public class ExampleLibrary {/**
	 * Returns an Array of AttributionObjects.
	 *An AttributionObject contains licensing and attribution Strings relating to 3rd party libraries used in this B4A library.
	 *You are required to display some or all of these Strings in your application if you use related B4A library object(s).
	 */
	public AttributionObject[] GetAttributionObjects() {
		Resources resources=BA.applicationContext.getResources();
		int resourceId;
		resourceId=resources.getIdentifier("attribution_object_names", "array", BA.packageName);
		String[] attributionObjectNames=resources.getStringArray(resourceId);
		String[] attributionValues;
		int attributionObjectsCount=attributionObjectNames.length;
		AttributionObject[] attributionObjects=new AttributionObject[attributionObjectsCount];
		
		for (int i = 0; i < attributionObjectsCount; i++) {
			resourceId=resources.getIdentifier(attributionObjectNames[i], "array", BA.packageName);
			attributionValues=resources.getStringArray(resourceId);
			attributionObjects[i]=new AttributionObject(attributionValues);
		}
		return attributionObjects;
	}
}
